<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>HWA Driver Error Codes</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">HWA Driver Error Codes</div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the error codes which are generated by the HWA Driver module.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga7c34dce5a570081a4ecf875417649fcb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga7c34dce5a570081a4ecf875417649fcb"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga7c34dce5a570081a4ecf875417649fcb">HWA_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-1)</td></tr>
<tr class="memdesc:ga7c34dce5a570081a4ecf875417649fcb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:ga7c34dce5a570081a4ecf875417649fcb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga128a9f15bac460d7727f2572d6c02957"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga128a9f15bac460d7727f2572d6c02957"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga128a9f15bac460d7727f2572d6c02957">HWA_ENOINIT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-2)</td></tr>
<tr class="memdesc:ga128a9f15bac460d7727f2572d6c02957"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Operation cannot be done as HWA_init is not done. <br /></td></tr>
<tr class="separator:ga128a9f15bac460d7727f2572d6c02957"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga81bd2eedc4f3a2be2027539b5ad05908"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga81bd2eedc4f3a2be2027539b5ad05908"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga81bd2eedc4f3a2be2027539b5ad05908">HWA_EOUTOFRANGE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-3)</td></tr>
<tr class="memdesc:ga81bd2eedc4f3a2be2027539b5ad05908"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: input argument out of range. <br /></td></tr>
<tr class="separator:ga81bd2eedc4f3a2be2027539b5ad05908"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac217cba78c6334a1a48708941bb4693b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gac217cba78c6334a1a48708941bb4693b"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#gac217cba78c6334a1a48708941bb4693b">HWA_EOUTOFMEM</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-4)</td></tr>
<tr class="memdesc:gac217cba78c6334a1a48708941bb4693b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: out of memory. <br /></td></tr>
<tr class="separator:gac217cba78c6334a1a48708941bb4693b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3baf374f03e0d945f363d20a4f758a03"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga3baf374f03e0d945f363d20a4f758a03"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga3baf374f03e0d945f363d20a4f758a03">HWA_ENOTSUPP</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-5)</td></tr>
<tr class="memdesc:ga3baf374f03e0d945f363d20a4f758a03"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: feature not supported. <br /></td></tr>
<tr class="separator:ga3baf374f03e0d945f363d20a4f758a03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64ce0864077d13f61c025c87ef634e59"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga64ce0864077d13f61c025c87ef634e59"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga64ce0864077d13f61c025c87ef634e59">HWA_EINUSE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-6)</td></tr>
<tr class="memdesc:ga64ce0864077d13f61c025c87ef634e59"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: channel or resource in use. <br /></td></tr>
<tr class="separator:ga64ce0864077d13f61c025c87ef634e59"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga550a2e57d466edb75445302176868e31"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga550a2e57d466edb75445302176868e31"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___h_w_a___d_r_i_v_e_r___e_r_r_o_r___c_o_d_e.html#ga550a2e57d466edb75445302176868e31">HWA_ENOTALIGNED</a>&#160;&#160;&#160;(MMWAVE_ERRNO_HWA_BASE-7)</td></tr>
<tr class="memdesc:ga550a2e57d466edb75445302176868e31"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: address is not aligned to the expected boundary. <br /></td></tr>
<tr class="separator:ga550a2e57d466edb75445302176868e31"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the error codes which are generated by the HWA Driver module. </p>
<p>Base error code for the HWA module is defined in the ti/common/mmwave_error.h.</p>
<div class="fragment"><div class="line"></div><div class="line"><span class="preprocessor">#ifndef MMWAVE_ERROR_H</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERROR_H</span></div><div class="line"></div><div class="line"><span class="comment">/**************************************************************************</span></div><div class="line"><span class="comment"> * Base Error Code for the mmWave modules</span></div><div class="line"><span class="comment"> **************************************************************************/</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_UART_BASE               (-2000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRC_BASE                (-2100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_MAILBOX_BASE            (-2200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_PINMUX_BASE             (-2300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ADCBUF_BASE             (-2400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ESM_BASE                (-2500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SPI_BASE                (-2600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_DMA_BASE                (-2700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HWA_BASE                (-2800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SOC_BASE                (-2900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_EDMA_BASE               (-3000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_BASE                    (-3100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CSI_BASE                (-3200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CBUFF_BASE              (-3300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CAN_BASE                (-3400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CANFD_BASE              (-3500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPI_BASE               (-3600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPIFLASH_BASE          (-3700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_I2C_BASE                (-3800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_WATCHDOG_BASE           (-3900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HSI_HDR_BASE            (-4000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRYPTO_BASE             (-4100)</span></div><div class="line"></div><div class="line"><span class="preprocessor">#endif  </span><span class="comment">/* MMWAVE_ERROR_H */</span><span class="preprocessor"></span></div><div class="line"></div></div><!-- fragment --> </div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
